fsg_search_s Struct Reference

Implementation of FSG search (and "FSG set") structure. More...

`#include <fsg_search_internal.h>`

## Data Fields

ps_search_t | base
hmm_context_t * | hmmctx
| HMM context.
fsg_model_t * | fsg
| FSG model.
struct fsg_lextree_s * | lextree
| Lextree structure for the currently active FSG.
struct fsg_history_s * | history
| For storing the Viterbi search history.
glist_t | pnode_active
| Those active in this frame.
glist_t | pnode_active_next
| Those activated for the next frame.
int32 | beam_orig
| Global pruning threshold.
int32 | pbeam_orig
| Pruning threshold for phone transition.
int32 | wbeam_orig
| Pruning threshold for word exit.
float32 | beam_factor
| Dynamic/adaptive factor (<=1) applied to above beams to determine actual effective beams.
int32 | beam
int32 | pbeam
int32 | wbeam
| Effective beams after applying beam_factor.
int32 | lw
int32 | pip
int32 | wip
| Language weights.
frame_idx_t | frame
| Current frame.
uint8 | final
| Decoding is finished for this utterance.
uint8 | bestpath
| Whether to run bestpath search and confidence annotation at end.
float32 | ascale
| Acoustic score scale for posterior probabilities.
int32 | bestscore
| For beam pruning.
int32 | bpidx_start
| First history entry index this frame.
int32 | ascr
int32 | lscr
| Total acoustic and lm score for utt.
int32 | n_hmm_eval
| Total HMMs evaluated this utt.
int32 | n_sen_eval
| Total senones evaluated this utt.
ptmr_t | perf
| Performance counter.
int32 | n_tot_frame

## Detailed Description

Implementation of FSG search (and "FSG set") structure.

Definition at line 68 of file fsg_search_internal.h.

## Field Documentation

## ascale

float32 fsg_search_s::ascale

Acoustic score scale for posterior probabilities.

Definition at line 94 of file fsg_search_internal.h.

## ascr

int32 fsg_search_s::ascr

Definition at line 99 of file fsg_search_internal.h.

## base

ps_search_t fsg_search_s::base

Definition at line 69 of file fsg_search_internal.h.

## beam

int32 fsg_search_s::beam

Definition at line 87 of file fsg_search_internal.h.

## beam_factor

float32 fsg_search_s::beam_factor

Dynamic/adaptive factor (<=1) applied to above beams to determine actual effective beams.

For implementing absolute pruning.

Definition at line 84 of file fsg_search_internal.h.

## beam_orig

int32 fsg_search_s::beam_orig

Global pruning threshold.

Definition at line 81 of file fsg_search_internal.h.

## bestpath

uint8 fsg_search_s::bestpath

Whether to run bestpath search and confidence annotation at end.

Definition at line 92 of file fsg_search_internal.h.

## bestscore

int32 fsg_search_s::bestscore

For beam pruning.

Definition at line 96 of file fsg_search_internal.h.

## bpidx_start

int32 fsg_search_s::bpidx_start

First history entry index this frame.

Definition at line 97 of file fsg_search_internal.h.

## final

uint8 fsg_search_s::final

Decoding is finished for this utterance.

Definition at line 91 of file fsg_search_internal.h.

## frame

frame_idx_t fsg_search_s::frame

Current frame.

Definition at line 90 of file fsg_search_internal.h.

## fsg

fsg_model_t* fsg_search_s::fsg

FSG model.

Definition at line 73 of file fsg_search_internal.h.

## history

struct fsg_history_s* fsg_search_s::history

For storing the Viterbi search history.

Definition at line 76 of file fsg_search_internal.h.

## hmmctx

hmm_context_t* fsg_search_s::hmmctx

HMM context.

Definition at line 71 of file fsg_search_internal.h.

## lextree

struct fsg_lextree_s* fsg_search_s::lextree

Lextree structure for the currently active FSG.

Definition at line 74 of file fsg_search_internal.h.

## lscr

int32 fsg_search_s::lscr

Total acoustic and lm score for utt.

Definition at line 99 of file fsg_search_internal.h.

## lw

int32 fsg_search_s::lw

Definition at line 88 of file fsg_search_internal.h.

## n_hmm_eval

int32 fsg_search_s::n_hmm_eval

Total HMMs evaluated this utt.

Definition at line 101 of file fsg_search_internal.h.

## n_sen_eval

int32 fsg_search_s::n_sen_eval

Total senones evaluated this utt.

Definition at line 102 of file fsg_search_internal.h.

## n_tot_frame

int32 fsg_search_s::n_tot_frame

Definition at line 105 of file fsg_search_internal.h.

## pbeam

int32 fsg_search_s::pbeam

Definition at line 87 of file fsg_search_internal.h.

## pbeam_orig

int32 fsg_search_s::pbeam_orig

Pruning threshold for phone transition.

Definition at line 82 of file fsg_search_internal.h.

## perf

ptmr_t fsg_search_s::perf

Performance counter.

Definition at line 104 of file fsg_search_internal.h.

## pip

int32 fsg_search_s::pip

Definition at line 88 of file fsg_search_internal.h.

## pnode_active

glist_t fsg_search_s::pnode_active

Those active in this frame.

Definition at line 78 of file fsg_search_internal.h.

## pnode_active_next

glist_t fsg_search_s::pnode_active_next

Those activated for the next frame.

Definition at line 79 of file fsg_search_internal.h.

## wbeam

int32 fsg_search_s::wbeam

Effective beams after applying beam_factor.

Definition at line 87 of file fsg_search_internal.h.

## wbeam_orig

int32 fsg_search_s::wbeam_orig

Pruning threshold for word exit.

Definition at line 83 of file fsg_search_internal.h.

## wip

int32 fsg_search_s::wip

Language weights.

Definition at line 88 of file fsg_search_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_search_internal.h